Bug 908830 - check-large-docs.sh doesn't properly skip -doc subpackages
Summary: check-large-docs.sh doesn't properly skip -doc subpackages
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-review
Version: 18
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Stanislav Ochotnicky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-07 15:58 UTC by Frederik Holden
Modified: 2013-05-14 17:45 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-03-04 22:25:06 UTC


Attachments (Terms of Use)

Description Frederik Holden 2013-02-07 15:58:39 UTC
Description of problem:
check-large-docs.sh is supposed to check the size of doc directories that aren't in -doc subpackages. Whether or not the subpackage is a -doc one is done by the line:
[[ $rpm = *doc ]] && continue
However, the directories in rpms-unpacked are named as so:
foo-doc-1.0.0-1.fc18.noarch.rpm
Since the directories will never end in "-doc" even if they are -doc subpackages, the test will fail packages that have properly split the documentation.

Version-Release number of selected component (if applicable):
0.3.1

How reproducible:
Always.

Steps to Reproduce:
1. Make an SRPM with a large -doc subpackage.
2. Run fedora-review on it.
  
Actual results:
The following test fails:
Large documentation must go in a -doc subpackage.

Expected results:
The test should pass, as the documentation has been split into a -doc subpackage as required.

Comment 1 Pierre-YvesChibon 2013-02-07 18:54:26 UTC
Could you re-check this with the version in updates-testing?

Thanks!

Comment 2 Frederik Holden 2013-02-07 19:46:16 UTC
(In reply to comment #1)
> Could you re-check this with the version in updates-testing?
> 
> Thanks!

After installing the version in updates-testing, I get another error entirely, which does not appear to be related to the original bug:
http://fpaste.org/BGmf/

Comment 3 Alec Leamas 2013-02-08 09:19:11 UTC
Hm... I can't find that srpm anywhere (c++-gtk-utils). Could you provide a link so I can reproduce it? (yes, this ius something completely different and far worse IMHO)

Comment 4 Frederik Holden 2013-02-08 09:28:00 UTC
(In reply to comment #3)
> Hm... I can't find that srpm anywhere (c++-gtk-utils). Could you provide a
> link so I can reproduce it? (yes, this ius something completely different
> and far worse IMHO)

The c++-gtk-utils SRPM is a work in progress that I'm planning to submit for a package review. I have put it up on my fedorapeople space so that you can test it with this issue:
http://airwave.fedorapeople.org/c++-gtk-utils/c++-gtk-utils.spec
http://airwave.fedorapeople.org/c++-gtk-utils/c++-gtk-utils-2.0.14-1.fc18.src.rpm

Comment 5 Alec Leamas 2013-02-08 10:20:59 UTC
I have found the error: the filename is fed to a regex, and there the ++ in c++ are interpreted as regex repetition markers. This will take some time to figure out how to handle, though. Stay tuned.

Comment 6 Alec Leamas 2013-02-08 10:46:15 UTC
Pushed a fix fro crash to devel branch. The check-large-docs remains to be investigated

Comment 7 Frederik Holden 2013-02-08 10:54:09 UTC
(In reply to comment #6)
> Pushed a fix fro crash to devel branch. The check-large-docs remains to be
> investigated

Let me know when it's ready for me to test. From a quick look though, the check-large-docs issue does not appear to be fixed in 0.4.0. The script, "check-large-docs.sh", is identical to the one in 0.3.1, and the naming of the directories in "rpms-unpacked" is also the same. Unless I'm missing something, the original issue remains.

Comment 8 Alec Leamas 2013-02-08 15:09:45 UTC
It's fixed in devel branch in git and could be tested now. To do so, you need to checkout the devel version as described in the fedora-review wiki at https://fedorahosted.org/FedoraReview/

Otherwise, there is a new release 0.4.0-3 under way which will have these patches applied. It *might* make before the weekend, but don't hold your breath.

Thanks for this valuable bug report!

Comment 9 Fedora Update System 2013-02-08 15:40:14 UTC
fedora-review-0.4.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-3.fc18

Comment 10 Frederik Holden 2013-02-08 15:41:45 UTC
(In reply to comment #8)
> It's fixed in devel branch in git and could be tested now. To do so, you
> need to checkout the devel version as described in the fedora-review wiki at
> https://fedorahosted.org/FedoraReview/
> 
> Otherwise, there is a new release 0.4.0-3 under way which will have these
> patches applied. It *might* make before the weekend, but don't hold your
> breath.

After downloading and running the devel version, I can confirm that both the originally reported bug and the error encountered in 0.4.0 appear to have been fixed.


> Thanks for this valuable bug report!

Thanks for the valuable program! It has been very helpful to me in making my first .spec.

Comment 11 Fedora Update System 2013-02-08 16:05:02 UTC
fedora-review-0.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-3.fc17

Comment 12 Fedora Update System 2013-02-09 11:26:11 UTC
Package fedora-review-0.4.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.4.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2184/fedora-review-0.4.0-3.fc17
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-02-21 13:24:11 UTC
fedora-review-0.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc18

Comment 14 Fedora Update System 2013-02-21 13:25:05 UTC
fedora-review-0.4.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.fc17

Comment 15 Fedora Update System 2013-02-21 13:26:37 UTC
fedora-review-0.4.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.0-4.el6

Comment 16 Fedora Update System 2013-03-04 22:25:10 UTC
fedora-review-0.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-03-04 22:27:02 UTC
fedora-review-0.4.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-03-11 19:36:27 UTC
fedora-review-0.4.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-04-29 14:51:18 UTC
fedora-review-0.4.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc18

Comment 20 Fedora Update System 2013-04-29 14:51:57 UTC
fedora-review-0.4.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.el6

Comment 21 Fedora Update System 2013-04-29 14:52:25 UTC
fedora-review-0.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc19

Comment 22 Fedora Update System 2013-04-29 14:52:55 UTC
fedora-review-0.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.4.1-1.fc17

Comment 23 Fedora Update System 2013-05-04 01:42:18 UTC
fedora-review-0.4.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2013-05-14 17:45:32 UTC
fedora-review-0.4.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.